<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;
use Sylius\Component\Resource\Model\ResourceInterface;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @ORM\Entity()
 * @ORM\Table(name="dedi_blog_configuration_translation")
 */
class BlogConfigurationTranslation extends AbstractReferableTranslation implements ResourceInterface
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(type="integer", nullable=false, name="id")
     */
    protected ?int $id = null;

    /**
     * @ORM\Column(type="string", nullable=true, name="configuration_translation_title")
     * @Assert\Length(max="255", groups={"default", "sylius"})
     */
    protected ?string $title = null;

    /** @ORM\Column(type="text", nullable=true, name="configuration_translation_description") */
    protected ?string $description = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(?string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(?string $description): self
    {
        $this->description = $description;

        return $this;
    }
}
